## blktap 0.9.2

=== mk/Makefile ===
USE_BRANDING    := yes
IMPORT_BRANDING := yes

include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk

STAMP_CHECKOUT = $(MY_OBJ_DIR)/.stamp-checkout
STAMP_RPMBUILD = $(MY_OBJ_DIR)/.stamp-rpmbuild

-include $(MY_OUTPUT_DIR)/blktap.inc

BLKTAP_GIT      = git --git-dir $(BLKTAP_GITREPO)
BLKTAP_GITREPO	= $(call git_loc,blktap)/.git
BLKTAP_CSET	= $(shell $(call __git_repo_cset_number,$(call git_loc,blktap)))
BLKTAP_RELEASE  = xs$(PRODUCT_VERSION)
BLKTAP_SRCTREE  = $(MY_OBJ_DIR)/blktap
BLKTAP_CFGSTAT  = $(BLKTAP_SRCTREE)/config.status
BLKTAP_RPMSPEC  = $(RPM_SPECSDIR)/blktap.spec
BLKTAP_SRPMOUT  = $(MY_OUTPUT_DIR)/SRPMS/$(BLKTAP_PKGNAME)-$(BLKTAP_VERSION)-$(BLKTAP_RELEASE).src.rpm
BLKTAP_CHANGES  = $(MY_OBJ_DIR)/changelog.tmp

BLKTAP_PATCHES	= $(RPM_SOURCESDIR)/blktap-udev-ignore-tapdevs.patch

BLKTAP_OUTPUT  = $(MY_SOURCES)/MANIFEST
BLKTAP_OUTPUT += $(MY_SOURCES)/$(BLKTAP_SOURCES)
BLKTAP_OUTPUT += $(MY_OUTPUT_DIR)/blktap.inc

CHANGELOG_DATE    := $(shell LANG=C date +"%a %b %d %Y")
CHANGELOG_USER    := $(COMPANY_NAME) <$(COMPANY_WEBSITE)>
CHANGELOG_HEADER  := * $(CHANGELOG_DATE) $(CHANGELOG_USER) [$(BLKTAP_VERSION) $(BLKTAP_RELEASE)]
CHANGELOG_MESSAGE := - Build blktap.

BLKTAP_RPM_SOURCES  = $(BLKTAP_RPMSPEC)
BLKTAP_RPM_SOURCES += $(RPM_SOURCESDIR)/$(BLKTAP_SOURCES)
BLKTAP_RPM_SOURCES += $(BLKTAP_PATCHES)

.PHONY: build clean

build: $(STAMP_RPMBUILD) $(BLKTAP_OUTPUT)
	@ :

rpm-sources: $(BLKTAP_RPM_SOURCES)

$(MY_OUTPUT_DIR)/blktap.inc: blktap.inc.in $(BLKTAP_CFGSTAT)
	$(BLKTAP_CFGSTAT) --file $@:$<

$(BLKTAP_CFGSTAT): $(BLKTAP_SRCTREE)/version.m4 $(BLKTAP_SRCTREE)/EXTRAVERSION
	cd $(BLKTAP_SRCTREE) && sh autogen.sh
	cd $(BLKTAP_SRCTREE) && ./configure
	touch $@

# Patch dist target to identify as blktap-%{version}.%{extraversion}.tar.bz2
$(BLKTAP_SRCTREE)/version.m4: version.m4 $(STAMP_CHECKOUT)
	cp $< $@

$(BLKTAP_SRCTREE)/EXTRAVERSION: $(STAMP_CHECKOUT)
	echo -n .xs$(BLKTAP_CSET) > $@

$(STAMP_CHECKOUT):
	rm -rf $(BLKTAP_SRCTREE)
	mkdir $(BLKTAP_SRCTREE)
	$(BLKTAP_GIT) archive --format=tar HEAD | tar xf - -C $(BLKTAP_SRCTREE)
	touch $@

$(MY_SOURCES)/MANIFEST: $(MY_SOURCES_DIRSTAMP)
	echo "blktap gpl+bsd file $(BLKTAP_SRPMOUT)" >$@

$(MY_SOURCES)/$(BLKTAP_SOURCES): $(RPM_SOURCESDIR)/$(BLKTAP_SOURCES) $(MY_SOURCES_DIRSTAMP)
	cp $< $@

$(RPM_SOURCESDIR)/$(BLKTAP_SOURCES): $(BLKTAP_CFGSTAT)
	$(MAKE) -C $(BLKTAP_SRCTREE) dist-bzip2
	cp $(BLKTAP_SRCTREE)/$(BLKTAP_SOURCES) $@

$(BLKTAP_RPMSPEC): blktap.spec.in $(BLKTAP_CHANGES) $(RPM_DIRECTORIES) $(BLKTAP_CFGSTAT)
	cat $<	| \
		sed -e 's,@BLKTAP_RELEASE@,$(BLKTAP_RELEASE),'  \
		    -e '\,%changelog,r$(BLKTAP_CHANGES)'      | \
			$(BLKTAP_CFGSTAT) --file $@:-

$(BLKTAP_CHANGES):
	echo "$(CHANGELOG_HEADER)"   > $@
	echo "$(CHANGELOG_MESSAGE)" >> $@

$(STAMP_RPMBUILD): $(RPM_DIRECTORIES) $(BLKTAP_RPM_SOURCES)
	$(RPMBUILD) --target $(DOMAIN0_ARCH_OPTIMIZED) -ba $(BLKTAP_RPMSPEC)
	touch $@

$(BLKTAP_PATCHES): $(RPM_SOURCESDIR)/%: %
	cp $< $@

.PHONY: clean
clean: 
	rm -rf $(RPM_SOURCESDIR)
	rm -rf $(RPM_BUILDDIR)
	rm -f $(BLKTAP_RPM_SOURCES)
	rm -f $(STAMP_RPMBUILD)
	rm -f $(BLKTAP_SRCTREE)/EXTRAVERSION

=== debian/changelog ===
blktap (0.9.2-2) UNRELEASED; urgency=low

  * Remove xen-missing-headers dependency

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

blktap (0.9.2-1) UNRELEASED; urgency=low

  * Update blktap to latest release

 -- Bob Ball <bob.ball@citrix.com>  Wed, 04 Jun 2014 12:00:00 +0000

blktap (0.9.1-1) UNRELEASED; urgency=low

  * Update blktap to avoid Debian Jessie compile failure

 -- Bob Ball <bob.ball@citrix.com>  Wed, 12 Mar 2014 12:00:00 +0000

blktap (0.9.0-2) UNRELEASED; urgency=low

  * Change to upstream source repository

 -- Euan Harris <euan.harris@citrix.com>  Fri, 17 Jan 2014 12:00:00 +0000

blktap (0.9.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Thu, 24 Oct 2013 12:00:00 +0000

## blktap 0.9.3.fe874d

=== mk/Makefile ===
--- 
+++ 
@@ -95,4 +95,5 @@
 	rm -rf $(RPM_BUILDDIR)
 	rm -f $(BLKTAP_RPM_SOURCES)
 	rm -f $(STAMP_RPMBUILD)
+	rm -f $(STAMP_CHECKOUT)
 	rm -f $(BLKTAP_SRCTREE)/EXTRAVERSION

=== debian/changelog ===
blktap (0.9.3.fe874d-2) UNRELEASED; urgency=low

  * Fix the build on 32-bit machines

 -- David Scott <dave.scott@citrix.com>  Thu, 05 Feb 2015 12:00:00 +0000

blktap (0.9.3.fe874d-1) UNRELEASED; urgency=low

  * Update to Creedence branch without grantcopy
  * Using checkpoint off xs64bit branch until an official release is made

 -- Bob Ball <bob.ball@citrix.com>  Mon, 08 Dec 2014 12:00:00 +0000

=== debian/control ===
Source: blktap
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 blktap-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 qemu-system-x86,
 libssl-dev,
 python,
 debhelper (>= 8),
 blktap-utils,
 automake,
 uuid-dev,
 libaio-dev,
 autoconf,
 libtool,
 libxen-dev

Package: blktap
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Enhanced version of tapdisk
 Enhanced version of tapdisk with support for storage mirroring.

## blktap 2.0.90

=== debian/changelog ===
blktap (2.0.90-4ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + This is not x86 specific, but is linux specific. Use linux-any.
    - debian/patches/fix-for-arm.patch:
      + Fix build failure, enabling vhd io on arm*.
    - debian/patches/fix-for-big-endian.patch:
      + Fix libvhd.h header on big-endian not providing BE16_OUT() macro.
    - debian/patches/fix-for-ppc64el.patch:
      + Fix gcc warning about uninitialized variable on ppc64el.
    - debian/patches/fix-for-arm64.patch:
      + Define __NR_eventfd on arm64 to fix FTBFS.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 28 Mar 2016 01:03:20 +0200

blktap (2.0.90-4) unstable; urgency=medium

  * Fix FTBFS with GCC-5 (Closes: Bug#777801).
    Thanks to Matthias Klose <doko@debian.org> for reporting.
  * Lintian cleaning.

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Tue, 30 Jun 2015 12:28:20 +0300

blktap (2.0.90-3ubuntu3) wily; urgency=medium

  * fix-for-arm64.patch: Define __NR_eventfd on arm64 to fix FTBFS.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Jul 2015 18:13:32 -0600

blktap (2.0.90-3ubuntu2) vivid; urgency=medium

  * Add a patch to fix gcc warning about uninitialized variable on ppc64el.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 22 Mar 2015 14:29:56 +0300

blktap (2.0.90-3ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + This is not x86 specific, but is linux specific. Use linux-any.
    - debian/patches/fix-for-arm.patch:
      + Fix build failure, enabling vhd io on arm*.
    - debian/patches/fix-for-big-endian.patch:
      + Fix libvhd.h header on big-endian not providing BE16_OUT() macro.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 03 Feb 2015 22:53:01 +0100

blktap (2.0.90-3) unstable; urgency=high

  * Fix failing to call io_setup with EINVAL (Closes: #760504).
  * Add uuid-dev dependency in blktap-dev package (Closes: #738720).
  * Add Nanakos Chrysostomos in Uploaders field.
  * Standards-Version: 3.9.5.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Fri, 05 Sep 2014 10:36:52 +0300

blktap (2.0.90-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - This is not x86 specific, but is linux specific. Use linux-any
    - Fix libvhd.h header on big-endian not providing BE16_OUT() macro
    - Fix build failure, enabling vhd io on arm*.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 28 Aug 2013 12:45:10 +0200

blktap (2.0.90-2) unstable; urgency=low

  * Fixes bashism in /bin/sh script in part/vhdpartx (Closes: #690630).
  * Fixes wrong paragraph separation in package description (Closes: #699845).
  * Added a debian/gbp.conf.
  * Fixes FTBFS with gcc 4.8, thanks to Matthias Klose <doko@debian.org> for
    reporting, and Juhani Numminen <juhaninumminen0@gmail.com> for sending a
    patch to fix it (Closes: #701248).
  * Switching to debhelper and compat 9.
  * Standards-Version: 3.9.4.
  * Canonical VCS fields.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Oct 2012 10:23:57 +0000

blktap (2.0.90-1ubuntu2) quantal; urgency=low

  * Fix build failure, enabling vhd io on arm*.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Oct 2012 18:27:44 +0200

blktap (2.0.90-1ubuntu1) quantal; urgency=low

  * This is not x86 specific, but is linux specific. Use linux-any
  * Fix libvhd.h header on big-endian not providing BE16_OUT() macro

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 16 Jul 2012 15:07:50 -0400

blktap (2.0.90-1) unstable; urgency=low

  * Initial release. (Closes: #635115)

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jul 2011 17:08:44 +0000

=== debian/control ===
Source: blktap
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG Xen Devel <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>, Chrysostomos Nanakos <cnanakos@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 9),
               libaio-dev,
               libtool,
               uuid-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xen/blktap.git
Vcs-Git: http://anonscm.debian.org/git/pkg-xen/blktap.git
Homepage: http://www.xen.org/products/cloudxen.html

Package: blktap-dev
Section: devel
Architecture: linux-any
Depends: libblktapctl0 (= ${binary:Version}),
         libvhd0 (= ${binary:Version}),
         libvhdio-2.0.90 (= ${binary:Version}),
         uuid-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Xen API blktap shared library (development files)
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems. This package is part
 of it. It implements the userland part of the blktap driver.
 .
 Virtual Hard Disk (VHD) is a file format standard which maps logical hard disk
 contents to a physical disk image format, which can then be more efficiently
 stored in a variety of different storage types, such as file systems or
 logical volumes.
 .
 VHDs are container files storing block metadata alongside a virtual disk's
 contents, in a single disk image. The metadata enables advanced storage
 backend capabilities, such as thin provisioning, disk image snapshotting, and
 coalescing of differencing disks.
 .
 Libvhd is a library to access VHD format metadata. It provides disk image
 initialization, inspection and manipulation to both VHD user utilities and
 the VHD disk driver in Blktap.
 .
 This package contains the development files

Package: blktap-utils
Section: utils
Architecture: linux-any
Depends: blktap-dkms,
         libblktapctl0 (= ${binary:Version}),
         libvhd0 (= ${binary:Version}),
         libvhdio-2.0.90 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: utilities to work with VHD disk images files
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems. This package is part
 of it. It implements the userland part of the blktap driver.
 .
 Virtual Hard Disk (VHD) is a file format standard which maps logical hard disk
 contents to a physical disk image format, which can then be more efficiently
 stored in a variety of different storage types, such as file systems or
 logical volumes.
 .
 VHDs are container files storing block metadata alongside a virtual disk's
 contents, in a single disk image. The metadata enables advanced storage
 backend capabilities, such as thin provisioning, disk image snapshotting, and
 coalescing of differencing disks.
 .
 This package contains user utilities to inspect, test, and manipulate
 Virtual Hard Disk (VHD) images through libvhd, and the control utilities
 needed to create destroy and manipulate devices ('tap-ctl'), the 'tapdisk'
 driver program to perform tap devices I/O, and a number of image drivers.

Package: libvhd0
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: VHD file format access library
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems. This package is part
 of it. It implements the userland part of the blktap driver.
 .
 Virtual Hard Disk (VHD) is a file format standard which maps logical hard disk
 contents to a physical disk image format, which can then be more efficiently
 stored in a variety of different storage types, such as file systems or
 logical volumes.
 .
 VHDs are container files storing block metadata alongside a virtual disk's
 contents, in a single disk image. The metadata enables advanced storage
 backend capabilities, such as thin provisioning, disk image snapshotting, and
 coalescing of differencing disks.
  .
 Libvhd is a library to access VHD format metadata. It provides disk image
 initialization, inspection and manipulation to both VHD user utilities and
 the VHD disk driver in Blktap.
 .
 This package contains the runtime vhd library.

Package: libvhdio-2.0.90
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xen API blktap shared library (shared library)
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems. This package is part
 of it. It implements the userland part of the blktap driver.
 .
 Virtual Hard Disk (VHD) is a file format standard which maps logical hard disk
 contents to a physical disk image format, which can then be more efficiently
 stored in a variety of different storage types, such as file systems or
 logical volumes.
 .
 VHDs are container files storing block metadata alongside a virtual disk's
 contents, in a single disk image. The metadata enables advanced storage
 backend capabilities, such as thin provisioning, disk image snapshotting, and
 coalescing of differencing disks.
 .
 This package contains the runtime vhdio library.

Package: libblktapctl0
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xen API blktapctl shared library (shared library)
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems. This package is part
 of it. It implements the userland part of the blktap driver.
 .
 Virtual Hard Disk (VHD) is a file format standard which maps logical hard disk
 contents to a physical disk image format, which can then be more efficiently
 stored in a variety of different storage types, such as file systems or
 logical volumes.
 .
 VHDs are container files storing block metadata alongside a virtual disk's
 contents, in a single disk image. The metadata enables advanced storage
 backend capabilities, such as thin provisioning, disk image snapshotting, and
 coalescing of differencing disks.
  .
 Libvhd is a library to access VHD format metadata. It provides disk image
 initialization, inspection and manipulation to both VHD user utilities and
 the VHD disk driver in Blktap.
 .
 This package contains the runtime blktapctl library.

=== debian/rules ===
#!/usr/bin/make -f

pkg_libvhd = libvhd0
vrs_libvhd = 0.1.1
pkg_libvhdio = libvhdio2
vrs_libvhdio = 2.0.90
pkg_libblktapctl = libblktapctl0
vrs_libblktapctl = 0.1.1


%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f aclocal.m4 config.* configure depcomp install-sh ltmain.sh Makefile.in missing
	rm -f control/Makefile.in drivers/Makefile.in include/Makefile.in
	rm -f lvm/Makefile.in part/Makefile.in vhd/lib/Makefile.in
	rm -f vhd/lib/test/Makefile.in vhd/Makefile.in
	rm -f control/*.opic control/tap-ctl
	rm -f vhd/vhd-util part/part-util vhd/vhd-util part/part-util
	rm -f drivers/tapdisk2 drivers/tapdisk-stream drivers/lock-util drivers/td-util drivers/td-rated
	rm -f vhd/vhd-update vhd/vhd-index
	rm -f control/libblktapctl.so vhd/lib/libvhdio.so.1.0.0 vhd/lib/libvhd.so.1.0.0
	find . -type f -iname '*.o' -delete
	rm -f build-stamp
	dh_clean

override_dh_auto_build:
	./autogen.sh
	./configure --prefix=/usr --with-pic --libexecdir=/usr/bin -sysconfdir=/etc
	$(MAKE) -j 20 USE_SYSTEM_LIBRARIES=y DESTDIR=$(CURDIR)/debian/tmp
